Name: libsexymm
Version: 0.1.9
Release: alt1

Summary: collection of additional gtkmm widgets - library
Group: System/Libraries
License: LGPL
Url: http://www.chipx86.com/wiki/Libsexy

Source0: http://releases.chipx86.com/libsexy/%name/%name-%version.tar.gz

Packager: Igor Zubkov <icesik@altlinux.org>

%define gtkmm_ver 2.4.0
%define libsexy_ver 0.1.9

Requires: libgtkmm2 >= %gtkmm_ver
Requires: libsexy >= %libsexy_ver

BuildPreReq: libgtkmm2-devel >= %gtkmm_ver
BuildPreReq: libsexy-devel >= %libsexy_ver

# Automatically added by buildreq on Thu Jun 07 2007
#BuildRequires: gcc-c++ gcc-fortran glibc-devel-static libgtkmm2-devel libsexy-devel libxml2-devel linux-libc-headers
BuildRequires: gcc-c++ libgtkmm2-devel libsexy-devel libxml2-devel

%description
libsexy is a collection of GTK+ widgets that extend the functionality of
such standard widgets as GtkEntry and GtkLabel by subclassing them and
working around the limitations of the widgets.

These are the C++ bindings.

%package devel
Summary: collection of additional gtkmm widgets - header files
Group: Development/C++

Requires: %name = %version-%release

%description devel
libsexy is a collection of GTK+ widgets that extend the functionality of
such standard widgets as GtkEntry and GtkLabel by subclassing them and
working around the limitations of the widgets.

These are the C++ bindings (header files).

%prep
%setup -q

%build
%configure \
	--disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc ChangeLog NEWS
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%dir %_includedir/libsexymm
%_includedir/libsexymm/*.h
%_includedir/libsexymm/libsexymm/*.h
%_includedir/libsexymm/libsexymm/private/*.h
%_libdir/libsexymm/include/libsexymmconfig.h
%_libdir/libsexymm/proc/m4/convert.m4
%_libdir/libsexymm/proc/m4/convert_libsexymm.m4
%_pkgconfigdir/libsexymm.pc

%changelog
* Thu Jun 07 2007 Igor Zubkov <icesik@altlinux.org> 0.1.9-alt1
- build for Sisyphus

